## Handle Missing Values in Data Frames

## Usage

    na.fail(frame)
    na.omit(frame)

## Arguments

`frame` | a data frame

## Description

These functions are useful for dealing with `NA`s in data frames. `na.fail` returns the data frame if it does not contain any missing values, and signals an error otherwise. `na.omit` returns the data frame with incomplete cases removed.

## See Also

`na.action`, `options(na.action=..)` for setting ``NA actions'', and `lm` and `glm` for functions using these.

## Examples

    DF <- data.frame(x = c(1, 2, 3), y = c(0, 10, NA))
    na.omit(DF)
    na.fail(DF)#> Error: missing values in ..

    options("na.action")

[Package Contents]